////////////////////////////////////////////////////////////////
// MFX 1993 Written by Paul DiLascia.
//

#include "mfx.h"

////////////////////////////////////////////////////////////////
// Hourglass constructor: 
// Change cursor to hourglass, and capture the mouse
//
CHourglass::CHourglass(CWnd *pWnd)
{
   m_hSaveCursor = SetCursor(LoadCursor(NULL, IDC_WAIT));
   if (m_pCapWnd=pWnd)
      pWnd->SetCapture();
}

////////////////////////////////////////////////////////////////
// Hourglass destroctur: restore original cursor.
//
CHourglass::~CHourglass()
{
   SetCursor(m_hSaveCursor);
   if (m_pCapWnd)
      ReleaseCapture();
}
